Get Package List
API Reference
GET
/api/v1/experience/agent/packageListDocument History
| version | publish date | Description |
|---|---|---|
| 1.0.0 | 25-10-2026 | Intial Specification |
Header Parameters
Content-Type
required
string
Content type
Example: application/json
Authorization
required
string
Authorization
Example: Bearer {accessToken}
Query Parameters
productId
required
string
Product ID
language
optional
string
Desired language for response
Defualt : en-US
Defualt : en-US
Example: en-US / th-TH
Response Schema
ref
required
string
Reference transaction
status
required
boolean
Status
statusCode
required
string
Status code
message
required
string
Error message
data
required
object
Data response object
productId
required
string
Product Id
productName
required
string
Product name
packages
required
array object
Experience packages
packageId
required
string
package Id
packageName
required
string
package name
description
optional
string
package description
instantConfirmation
optional
boolean
instant confirmation flag
packageType
required
string
package type
Example: fixdate,opendate
howToUse
required
string
how to use
termsAndConditions
required
string
terms and condition
currency
required
string
currency
minTotal
required
number
Minimum total quantity required per booking
maxTotal
required
number
Maximum total quantity allowed per booking
redeemStart
optional
string
Start date of the redemption period. Applicable when
packageType = 'voucher' and a value is available.redeemEnd
optional
string
End date of the redemption period. Applicable when
packageType = 'voucher' and a value is available.avaliableStart
required
string
Start date of the package availability period shown in the calendar
avaliableEnd
required
string
End date of the package availability period shown in the calendar
options
required
array object
List of available options for the package
name
required
object
Option name in supported languages
en
required
string
Option name in English
th
required
string
Option name in Thai
minQuantity
optional
number
Minimum quantity allowed for this option
maxQuantity
optional
number
Maximum quantity allowed for this option
unit
optional
string
Unit used to represent the quantity of this option
ticketType
required
string
ticket type
Example: ADULT, CHILD
minAge
optional
number
mininum age
maxAge
optional
number
maxinum age
lowestPrice
optional
number
lowest price
currency
optional
string
currency
expirationDate
required
string
expiration date
inclusions
required
string
inclusions
exclusions
required
string
exclusions
isCancellable
required
boolean
cancellable flag
Example: false
questions
required
array object
questions
groupId
required
String
group Id
groupName
required
String
group name
isTravellerAllRequired
required
Boolean
all traveller require question
questionlist
required
array object
question list
id
required
String
question id
name
required
String
question name
type
required
String
question type
Example: select, text ,date
options
required
array object
question option value
key
optional
String
option key
name
optional
String
option name